'use strict';

var createConnectionProxy = require('./create-connection-proxy.js');
function expandConnections(schema, store) {
  for (const typeName in store) {
    if (Array.isArray(store[typeName])) {
      store[typeName] = store[typeName].map(document => createConnectionProxy.createConnectionProxy(schema, store, document, {
        writable: true
      }));
    }
  }
}
exports.expandConnections = expandConnections;
//# sourceMappingURL=expand-connections.js.map
