import { DOCUMENT_KEY_SYMBOL, DOCUMENT_CONNECTIONS_SYMBOL } from '../constants.mjs';

// eslint-disable-next-line @typescript-eslint/no-explicit-any, @typescript-eslint/explicit-module-boundary-types
function isDocument(document) {
  if (typeof document === 'object' && document != null && DOCUMENT_KEY_SYMBOL in document && DOCUMENT_CONNECTIONS_SYMBOL in document) {
    return true;
  }
  return false;
}
export { isDocument };
//# sourceMappingURL=is-document.mjs.map
