import { cloneDocument } from '../document/clone-document.mjs';
function cloneOperation(context, document) {
  var {
    store
  } = context;
  var cloned = cloneDocument(document);
  var typename = cloned.__typename;
  // setup array of types if it doesn't already exist
  store[typename] = store[typename] || [];
  store[typename].push(cloned);
  return cloned;
}
export { cloneOperation };
//# sourceMappingURL=clone.mjs.map
