import { serializeDocument } from './serialize-document.mjs';
function serialize(store) {
  var serializedStore = {};
  for (var typeName in store) {
    if (Array.isArray(store[typeName])) {
      serializedStore[typeName] = store[typeName].map(document => serializeDocument(document));
    }
  }
  return serializedStore;
}
export { serialize };
//# sourceMappingURL=serialize-store.mjs.map
