function createBoundOperations(operations, context) {
  var boundOperations = {};
  for (var key in operations) {
    var fn = operations[key];
    boundOperations[key] = fn.bind(null, context);
  }
  return boundOperations;
}
export { createBoundOperations };
//# sourceMappingURL=create-bound-operations.mjs.map
