class FieldDoesNotExistOnType extends Error {
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  constructor(_ref) {
    var {
      type,
      fieldName
    } = _ref;
    super();
    this.name = 'TypeDoesNotExist';
    this.message = "The field \"".concat(fieldName, "\" does not exist on the type ").concat(type.name, ".");
  }
}
export { FieldDoesNotExistOnType };
//# sourceMappingURL=field-does-not-exist-on-type.mjs.map
