class TypeIsNotDocumentCompatible extends Error {
  constructor(_ref) {
    var _type$astNode;
    var {
      type
    } = _ref;
    super();
    this.name = 'TypeIsNotDocumentCompatible';
    this.message = "The type \"".concat(type.name, "\" is a ").concat((_type$astNode = type.astNode) === null || _type$astNode === void 0 ? void 0 : _type$astNode.kind, " but cannot be represented by a document");
  }
}
export { TypeIsNotDocumentCompatible };
//# sourceMappingURL=type-is-not-document-compatible.mjs.map
