import { Document, DocumentStore, PaperDocumentEvent } from '../types';
import { DocumentModifiedChangeMap } from './dispatch';
export declare class ModifyEvent extends Event implements PaperDocumentEvent {
    name: string;
    store: DocumentStore;
    document: Document;
    changes: DocumentModifiedChangeMap;
    constructor({ document, store, changes, }: {
        store: DocumentStore;
        document: Document;
        changes: DocumentModifiedChangeMap;
    });
}
