'use strict';

var findDocument = require('../store/find-document.js');
var getDocumentKey = require('../document/get-document-key.js');
function findOperation(context, keyOrDocument) {
  const {
    store
  } = context;
  const key = getDocumentKey.getDocumentKey(keyOrDocument);
  return findDocument.findDocument(store, key);
}
exports.findOperation = findOperation;
//# sourceMappingURL=find.js.map
