'use strict';

var deserializeDocument = require('./deserialize-document.js');
function deserialize(serializedStore, serializedMeta) {
  const deserializedStore = {};
  for (const typeName in serializedStore) {
    if (Array.isArray(serializedStore[typeName])) {
      deserializedStore[typeName] = serializedStore[typeName].map(document => deserializeDocument.deserializeDocument(document, serializedMeta));
    }
  }
  return deserializedStore;
}
exports.deserialize = deserialize;
//# sourceMappingURL=deserialize-store.js.map
