'use strict';

function createBoundOperations(operations, context) {
  const boundOperations = {};
  for (const key in operations) {
    const fn = operations[key];
    boundOperations[key] = fn.bind(null, context);
  }
  return boundOperations;
}
exports.createBoundOperations = createBoundOperations;
//# sourceMappingURL=create-bound-operations.js.map
