'use strict';

class TypeDoesNotExist extends Error {
  constructor({
    typename
  }) {
    super();
    this.name = 'TypeDoesNotExist';
    this.message = `The type "${typename}" does not exist in the the graphql schema.`;
  }
}
exports.TypeDoesNotExist = TypeDoesNotExist;
//# sourceMappingURL=type-does-not-exist.js.map
