'use strict';

class TypeIsNotDocumentCompatible extends Error {
  constructor({
    type
  }) {
    var _type$astNode;
    super();
    this.name = 'TypeIsNotDocumentCompatible';
    this.message = `The type "${type.name}" is a ${(_type$astNode = type.astNode) === null || _type$astNode === void 0 ? void 0 : _type$astNode.kind} but cannot be represented by a document`;
  }
}
exports.TypeIsNotDocumentCompatible = TypeIsNotDocumentCompatible;
//# sourceMappingURL=type-is-not-document-compatible.js.map
