'use strict';

var constants = require('../constants.js');

// eslint-disable-next-line @typescript-eslint/no-explicit-any, @typescript-eslint/explicit-module-boundary-types
function isDocument(document) {
  if (typeof document === 'object' && document != null && constants.DOCUMENT_KEY_SYMBOL in document && constants.DOCUMENT_CONNECTIONS_SYMBOL in document) {
    return true;
  }
  return false;
}
exports.isDocument = isDocument;
//# sourceMappingURL=is-document.js.map
