import { createConnectionProxy } from './create-connection-proxy.mjs';
function expandConnections(schema, store) {
  for (var typeName in store) {
    if (Array.isArray(store[typeName])) {
      store[typeName] = store[typeName].map(document => createConnectionProxy(schema, store, document, {
        writable: true
      }));
    }
  }
}
export { expandConnections };
//# sourceMappingURL=expand-connections.mjs.map
