import { createDocument } from './create-document.mjs';
import { generateDocumentKey } from './generate-document-key.mjs';
import { getDocumentKey } from './get-document-key.mjs';
var key = generateDocumentKey();
var nullDocument = Object.freeze(createDocument('__NULL_DOCUMENT__', {}, key));
var isNullDocument = documentOrKey => {
  if (typeof documentOrKey === 'string') {
    return documentOrKey === key;
  } else {
    return getDocumentKey(documentOrKey) === key;
  }
};
export { isNullDocument, key, nullDocument };
//# sourceMappingURL=null-document.mjs.map
