import { deserializeDocument } from './deserialize-document.mjs';
function deserialize(serializedStore, serializedMeta) {
  var deserializedStore = {};
  for (var typeName in serializedStore) {
    if (Array.isArray(serializedStore[typeName])) {
      deserializedStore[typeName] = serializedStore[typeName].map(document => deserializeDocument(document, serializedMeta));
    }
  }
  return deserializedStore;
}
export { deserialize };
//# sourceMappingURL=deserialize-store.mjs.map
