import { storeTypenamesFromSchema } from './store-typenames-from-schema.mjs';
function createDocumentStore(schema) {
  var store = {};
  if (!schema) {
    return store;
  }
  var typenames = storeTypenamesFromSchema(schema);
  for (var typeName of typenames) {
    store[typeName] = [];
  }
  return store;
}
export { createDocumentStore };
//# sourceMappingURL=create-document-store.mjs.map
