class TypeDoesNotExist extends Error {
  constructor(_ref) {
    var {
      typename
    } = _ref;
    super();
    this.name = 'TypeDoesNotExist';
    this.message = "The type \"".concat(typename, "\" does not exist in the the graphql schema.");
  }
}
export { TypeDoesNotExist };
//# sourceMappingURL=type-does-not-exist.mjs.map
