'use strict';

var graphql = require('graphql');

// eslint-disable-next-line @typescript-eslint/no-explicit-any
function extractListType(type) {
  if (graphql.isListType(type)) {
    return type;
  }
  if (graphql.isNonNullType(type)) {
    return extractListType(type.ofType);
  }
  return undefined;
}
exports.extractListType = extractListType;
//# sourceMappingURL=extract-list-type.js.map
