'use strict';

// eslint-disable-next-line @typescript-eslint/no-explicit-any
function sequential(hooks, operations) {
  const results = [];
  for (const hook of hooks) {
    results.push(hook(operations));
  }
  return results;
}
exports.sequential = sequential;
//# sourceMappingURL=sequential.js.map
