'use strict';

var serializeDocument = require('./serialize-document.js');
function serialize(store) {
  const serializedStore = {};
  for (const typeName in store) {
    if (Array.isArray(store[typeName])) {
      serializedStore[typeName] = store[typeName].map(document => serializeDocument.serializeDocument(document));
    }
  }
  return serializedStore;
}
exports.serialize = serialize;
//# sourceMappingURL=serialize-store.js.map
