'use strict';

class FieldDoesNotExistOnType extends Error {
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  constructor({
    type,
    fieldName
  }) {
    super();
    this.name = 'TypeDoesNotExist';
    this.message = `The field "${fieldName}" does not exist on the type ${type.name}.`;
  }
}
exports.FieldDoesNotExistOnType = FieldDoesNotExistOnType;
//# sourceMappingURL=field-does-not-exist-on-type.js.map
